coreEngine.Calibration

## Class RangeStats

- java.lang.Object
- - coreEngine.Calibration.RangeStats

-     public class RangeStats
      extends java.lang.Object

  Author:
    jltrask

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float[][][][]` | `fullRangeStats`
    `float[][][][]` | `pctRangeStats`
    `static int` | `TYPE_DAF`
    `static int` | `TYPE_OAF`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RangeStats(float[][][][] fullRangeStats, float[][][][] pctRangeStats)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPctRangeSize(int seg, int per, int type, float stepSize)`
    `double` | `getRCP(int seg, int per, int type)` Returns the percentage decrease in size of range
    `double` | `getSDCP(int seg, int per, int type)` Returns the percentage decrease between the ratio of Std Deviation to Range
    `float` | `getVCP(int seg, int per, int type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fullRangeStats

          public final float[][][][] fullRangeStats

    - #### pctRangeStats

          public final float[][][][] pctRangeStats

    - #### TYPE_OAF

          public static final int TYPE_OAF

      See Also:
        Constant Field Values

    - #### TYPE_DAF

          public static final int TYPE_DAF

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RangeStats

          public RangeStats(float[][][][] fullRangeStats,
                            float[][][][] pctRangeStats)

  - ### Method Detail

    - #### getPctRangeSize

          public int getPctRangeSize(int seg,
                                     int per,
                                     int type,
                                     float stepSize)

    - #### getRCP

          public double getRCP(int seg,
                               int per,
                               int type)

      Returns the percentage decrease in size of range
      Parameters:
        `seg` -
        `per` -
        `type` -
      Returns:

    - #### getVCP

          public float getVCP(int seg,
                              int per,
                              int type)

    - #### getSDCP

          public double getSDCP(int seg,
                                int per,
                                int type)

      Returns the percentage decrease between the ratio of Std Deviation to Range
      Parameters:
        `seg` -
        `per` -
        `type` -
      Returns: